it.reply.healty.innovapuglia.mstaccuino.soap.common

## Class LocalTimeAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<String,LocalTime>
  - - it.reply.healty.innovapuglia.mstaccuino.soap.common.LocalTimeAdapter

-     public class LocalTimeAdapter
      extends XmlAdapter<String,LocalTime>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalTimeAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `marshal(LocalTime inputTime)` Converte un oggetto LocalTime in una stringa di orario, restituendo null se l'oggetto è null.
    `LocalTime` | `unmarshal(String inputTime)` Converte una stringa di orario in LocalTime, restituendo null se la stringa è vuota.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalTimeAdapter

          public LocalTimeAdapter()

  - ### Method Detail

    - #### unmarshal

          public LocalTime unmarshal(String inputTime)
                              throws Exception

      Converte una stringa di orario in LocalTime, restituendo null se la stringa è vuota.
      Specified by:
        `unmarshal` in class `XmlAdapter<String,LocalTime>`
      Parameters:
        `inputTime` - La stringa di orario da convertire.
      Returns:
        L'oggetto LocalTime corrispondente o null.
      Throws:
        `Exception` - Se si verifica un errore durante la conversione.

    - #### marshal

          public String marshal(LocalTime inputTime)
                         throws Exception

      Converte un oggetto LocalTime in una stringa di orario, restituendo null se l'oggetto è null.
      Specified by:
        `marshal` in class `XmlAdapter<String,LocalTime>`
      Parameters:
        `inputTime` - L'oggetto LocalTime da convertire.
      Returns:
        La stringa di orario corrispondente o null.
      Throws:
        `Exception` - Se si verifica un errore durante la conversione.

Copyright © 2024. All rights reserved.